> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get parsed results from uploaded files



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_files/{heron_id}/parsed_results
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_files/{heron_id}/parsed_results:
    get:
      tags:
        - EndUserFiles
      summary: Get parsed results from uploaded files
      parameters:
        - description: The file's heron_id - beginning with 'euf_'
          in: path
          name: heron_id
          required: true
          schema:
            type: string
        - in: query
          name: parser_id
          required: false
          schema:
            nullable: true
            type: string
        - in: query
          name: version_number
          required: false
          schema:
            nullable: true
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ParsedEndUserFileSchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ParsedEndUserFileSchema:
      properties:
        attribute_values:
          items:
            additionalProperties: {}
            type: object
          type: array
        bounding_boxes:
          items:
            $ref: '#/components/schemas/ParsedEndUserFileBoundingBox'
          nullable: true
          type: array
        created:
          format: date-time
          type: string
        field_validations:
          items:
            $ref: '#/components/schemas/FieldValidation'
          type: array
        heron_id:
          description: Unique identifier of the end user file
          type: string
        id:
          description: '[DEPRECATED] Unique identifier for the parsed file'
          type: integer
        layout_bounding_boxes:
          items:
            $ref: '#/components/schemas/ParsedEndUserFileBoundingBox'
          nullable: true
          type: array
        parser_display_name:
          type: string
        parser_id:
          type: string
        parsing_status:
          enum:
            - succeeded
            - failed
            - processing
          type: string
        patches:
          items:
            $ref: '#/components/schemas/ParsedEndUserFilePatch'
          type: array
        result:
          additionalProperties: {}
          description: Final output result after applying patches
          nullable: true
          type: object
        result_schema:
          additionalProperties: {}
          description: The output JSON schema the results conform to
          type: object
        validation_summary:
          description: Summary of validation results
          type: string
      required:
        - created
        - heron_id
        - parser_id
        - parsing_status
      type: object
    ParsedEndUserFileBoundingBox:
      properties:
        bounding_box:
          description: Bounding box coordinates in the format 'y1,x1,y2,x2'
          items:
            type: number
          type: array
        json_pointer:
          description: JSON pointer to the field in the parsed result
          type: string
        page_num:
          description: Page number where the bounding box is located
          type: integer
        value:
          description: The actual value of the field within the bounding box
          type: string
      required:
        - bounding_box
        - json_pointer
        - page_num
        - value
      type: object
    FieldValidation:
      properties:
        failure_reason:
          nullable: true
          type: string
        field_name:
          type: string
        result:
          enum:
            - pass
            - fail
            - not_applicable
          example: pass
          type: string
        validation_type:
          type: string
      required:
        - failure_reason
        - field_name
        - result
        - validation_type
      type: object
    ParsedEndUserFilePatch:
      properties:
        correction_reason:
          nullable: true
          type: string
        enabled:
          nullable: true
          type: boolean
        op:
          type: string
        original_value:
          nullable: true
        path:
          type: string
        source:
          nullable: true
          type: string
        value:
          nullable: true
      required:
        - op
        - path
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````